/*Общее*/
input:hover,input:focus,textarea:focus,textarea:hover,select,select:hover,select:focus{outline:none}

/*Вертикальная форма*/
.form {}

/*Поля*/
.form input, .form textarea, .form select { color: var(--ct); border: none; height: 60px; background-color: transparent; border-radius: 0; border-bottom: 1px solid #C7DDE6; padding: 0 1rem; line-height: 60px; width: 100%; margin-bottom: 1rem; }
.form [type=submit] {display:block; width: 100%;margin-bottom: 0}
.form input::placeholder{color: var(--ct)}
.form textarea {padding: 1rem; line-height: 1.1;height: 80px;}

/**/
.form .select {position: relative; margin-bottom: 1rem;}
.form .select select {margin-bottom: 0;text-align: left;padding-left: 3rem}

/**/
form .alert { color: red; font-size: 0.8rem; margin-top: -.5rem; }
form .messages>div {padding: 1rem;background-color: green !important; color: white!important; margin: 0.5rem 0; text-align: center}
form .messages .fail {background-color: red}

/**/
.check {position: relative;padding-bottom: 5px;display: flex; gap: 0.5rem;font-size: 12px;line-height:16px}
.check label {position: relative;padding-left: 1.5rem;font-size: 12px;text-align: left}
.check input {opacity: 0;margin: auto 0;height: auto;width: 0}
.check input + label:before { content: ""; position: absolute; left: 0; top: 0; width: 16px; height: 16px; background-color:transparent; border: 1px solid var(--c1); border-radius: 20px;}
.check input:checked +label:after { background-color: var(--c1); content: ""; width: 8px; height: 8px; left: 4px; top: 4px; border-radius: 20px; position: absolute; }
.check a {color: var(--c1);text-decoration: underline}

/**/
.form.hide{display:none}

@media (max-width:768px){
    .form input,.form select  {line-height: 40px;height: 40px;}
    .check label {font-size: 8px;}
    .check {gap: 0}
    .form select {padding-left: 1rem !important; text-align: center !important;}
}

@media (max-width:576px){
    .form [type=submit]{font-size: 12px;    padding: 0 0.5rem;}
    .form input, .form textarea, .form select {font-size: 12px;}
}